cURL
curl --request GET \ --url https://api.example.com/v1/agents \ --header 'X-API-Key: <api-key>'
{ "items": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "definition": {}, "description": "<string>", "visible": true, "image_url": "<string>", "last_updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z", "app_settings_v2": { "is_active": false, "version_id": "<string>", "interface_type": "slack", "extra_settings": {}, "published_at": "2023-11-07T05:31:56Z" }, "is_app_published": true, "allow_public_access": false, "meta": { "template_id": "<string>" } } ], "total": 1, "page": 2, "size": 2, "pages": 1 }
Get all agents from a group
Page number
x >= 1
Page size
1 <= x <= 100
Successful Response
Show child attributes
x >= 0